﻿using Microsoft.Extensions.DependencyInjection;
using NetworkResurrector.Agent.Wrapper.Services;

namespace NetworkResurrector.Agent.Wrapper
{
    public static class DependencyInjectionExtension
    {
        public static void UseResurrectorAgentServices(this IServiceCollection services)
        {
            services.AddHttpClient<IResurrectorAgentService, ResurrectorAgentService>();
        }
    }
}
