﻿using NDB.Application.DataContracts;
using NetworkResurrector.Server.PublishedLanguage.Events;
using System;

namespace NetworkResurrector.Server.PublishedLanguage.Commands
{
    public class PingMachine : Command<MachinePinged>
    {
        public string IpAddressOrMachineName { get; set; }

        public PingMachine(string ipAddressOrMachineName) : base(new Metadata() { CorrelationId = Guid.NewGuid() })
        {
            IpAddressOrMachineName = ipAddressOrMachineName;
        }
    }
}
