﻿using NDB.Application.DataContracts;
using NetworkResurrector.Server.PublishedLanguage.Events;
using System;

namespace NetworkResurrector.Server.PublishedLanguage.Commands
{
    public class ShutdownMachine : Command<MachineShutdown>
    {
        public string IPAddressOrMachineName { get; set; }

        public ShutdownMachine(string ipAddressOrMachineName) : base(new Metadata() { CorrelationId = Guid.NewGuid() })
        {
            IPAddressOrMachineName = ipAddressOrMachineName;
        }
    }
}
